# class Psych::Handlers::Recorder

This handler will capture an event and record the event. `Recorder` events are available vial `Psych::Handlers::Recorder#events`.

For example:

    recorder = Psych::Handlers::Recorder.new
    parser = Psych::Parser.new recorder
    parser.parse '--- foo'

    recorder.events # => [list of events]

    # Replay the events

    emitter = Psych::Emitter.new $stdout
    recorder.events.each do |m, args|
      emitter.send m, *args
    end

### Attributes

events [R]

### Public Class Methods

new ()
Source

    # File ext/psych/lib/psych/handlers/recorder.rb, line 28
    def initialize
      @events = []
      super
    end

Calls superclass method `BasicObject::new`